가변형 환경용 Python 3.4 종료

2019년 3월 29일에 App Engine 가변형 환경용 Python 3.4 런타임이 종료됩니다. 그 이후에는 Python 버전 3.4를 요청하는 App Engine 가변형 환경에 대해 새 배포를 시도하면 실패합니다.

2019년 3월 29일 이전에 최신 버전의 Python으로 업데이트해야 합니다. 그러면 Python 언어 커뮤니티에서 Python 3.4의 수명 종료로 인해 발생할 수 있는 보안 위험을 피할 수 있습니다.

새로운 Python 버전으로 이전하기

새로운 Python 버전으로 이전하려면 다음과 같이 합니다.

  1. gcloud 명령어를 호출하여 Cloud SDK를 최신 버전으로 업데이트합니다.

    gcloud components update

  2. 다음과 같이 app.yaml을 애플리케이션의 모든 버전에 맞게 업데이트합니다.

    runtime_config:
      python_version: 3
    

    여기서 3은 사용 가능한 최신 Python 버전을 사용한다는 의미입니다. Python 3.5.5를 사용하려면 3.5를 지정하고, Python 3.6.4를 사용하려면 3.6을 지정합니다.

  3. 필요한 코드 변경 사항은 Python 문서를 확인하세요. 3.5의 새로운 기능3.6의 새로운 기능은 이러한 최신 버전 각각에 도입된 변경 사항의 개요를 제공합니다.

  4. 애플리케이션을 배포합니다. 그래야 새로운 변경 사항을 사용할 수 있습니다.

지원 채널

애플리케이션을 이전하는 데 문제가 발생한 경우, 지원 패키지가 있으면 일반 지원 채널을 통해 도움을 받을 수 있습니다. 지원 패키지가 없는 경우 수신한 이메일에 Python 3.4의 지원 중단에 대해 알려주세요.

이 페이지가 도움이 되었나요? 평가를 부탁드립니다.

다음에 대한 의견 보내기...

App Engine Documentation